import * as ts from "typescript";
import * as uml from "./uml/index";
export declare class Delinter {
    private _umlCodeModel;
    /**
     * Uml code model description filled by the parse method(s)
     *
     * @readonly
     * @type {uml.CodeModel}
     * @memberOf Delinter
     */
    readonly umlCodeModel: uml.CodeModel;
    constructor();
    /**
     * Delint a TypeScript source file, adding the parsed elements to umlCodeModel.
     *
     * @param {ts.SourceFile} file TypeScript source file
     *
     * @memberOf Delinter
     */
    parse(file: ts.SourceFile): void;
    private _delintNode(node);
    private _delintClass(node, delintChild);
    private _delintClassNode(node, umlClass);
    private _delintInterfaceNode(node, umlClass);
    private _delintHeritageClauses(heritageClauses, umlClass);
    private _delintMethod(methodDeclaration, umlClass);
    private _delintClassGetterSetter(node, umlClass);
    private _delintProperty(property, umlInterface);
    private _delintAccessibilityModifiers(modifiers);
    private _delintType(typeNode);
    private _delintTypeArguments(typeArguments);
    private _typeAssociations(from, type);
}
