import { IClassDiagramOptions } from "../classDiagramOptions";
import * as uml from "../uml/index";
/**
 * Abstract uml file formatter
 *
 * @export
 * @class AbstractFormatter
 */
export declare abstract class AbstractFormatter {
    private _options;
    protected readonly options: IClassDiagramOptions;
    constructor(options: IClassDiagramOptions);
    /**
     * Generate class diagram for uml code model data
     *
     * @param {uml.CodeModel} umlCodeModel Uml code model data
     * @returns {string} Class diagram according to format
     *
     * @memberOf Formatter
     */
    abstract generateClassDiagram(umlCodeModel: uml.CodeModel): string;
}
