"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Abstract type specification class
 *
 * @export
 * @abstract
 * @class Type
 */
var Type = (function () {
    /**
     * Creates an instance of Type.
     * @param {string} text Type element full text
     *
     * @memberOf Type
     */
    function Type(text) {
        this._text = text;
        this._name = text;
    }
    Object.defineProperty(Type.prototype, "text", {
        /**
         * Type element full text
         *
         * @type {string}
         * @memberOf Type
         */
        get: function () {
            return this._text;
        },
        set: function (value) {
            this._text = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Type.prototype, "name", {
        /**
         * Type name
         *
         * @type {string}
         * @memberOf Type
         */
        get: function () {
            return this._name;
        },
        set: function (value) {
            this._name = value;
        },
        enumerable: true,
        configurable: true
    });
    return Type;
}());
exports.Type = Type;
